summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1023
-rw-r--r--jenkins/notify-init.log390
-rw-r--r--jenkins/rewrite.log21
-rw-r--r--jenkins/run-build.env10
5 files changed, 239 insertions, 1207 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index e6bb06d..98c4de8 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#49-linux-Rboot
+#50-binutils-Rboot
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 74097fa..a8d69d0 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
++ remote_exec build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
+ set -euf -o pipefail
+ local host
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -d: -f 1
+ host=build-05.tcwglab
+ local port
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 3
+ dir=/home/tcwg-buildslave/workspace/tcwg_kernel_1
+ local opts
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 4
-+ opts=-p51502
++ opts=-p51503
+ local env_vars
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -53,7 +53,7 @@
+ cmd+=("$(printf '%q' "$i")")
++ printf %q true
++ printf %q /home/tcwg-buildslave/workspace/tcwg_kernel_1
-+ ssh -p51502 build-05.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_kernel_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true'
++ ssh -p51503 build-05.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_kernel_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true'
/home/tcwg-buildslave/workspace/tcwg_kernel_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
@@ -81,17 +81,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/46/
+# Baseline : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/46/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
+# Artifacts : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/50/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/50/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -113,100 +113,100 @@
+++ set -euf -o pipefail
+++ local c delim=
+++ for c in ${rr[components]}
-+++ '[' xbaseline '!=' xbaseline ']'
++++ '[' xgit://sourceware.org/git/binutils-gdb.git#master '!=' xbaseline ']'
++++ echo -ne binutils
++++ delim=' '
+++ for c in ${rr[components]}
+++ '[' xbaseline '!=' xbaseline ']'
+++ for c in ${rr[components]}
-+++ '[' xhttps://git.linaro.org/kernel-org/linux-stable.git#linux-rolling-lts '!=' xbaseline ']'
-+++ echo -ne linux
-+++ delim=' '
++++ '[' xbaseline '!=' xbaseline ']'
+++ for c in ${rr[components]}
+++ '[' xbaseline '!=' xbaseline ']'
+++ echo
++ for c in $(print_updated_components)
-+++ get_current_git linux_rev
++++ get_current_git binutils_rev
+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
-+++ cat artifacts/git/linux_rev
-+++ get_baseline_git linux_rev
++++ cat artifacts/git/binutils_rev
++++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/linux_rev
-++ '[' x4d835e18036eccde995e2a46aedc55f1b04a6939 '!=' xe0ec6546dc99183016a8d9ba3e816afb0a77a183 ']'
-++ echo -ne linux
++++ cat base-artifacts/git/binutils_rev
+++ '[' x9d4f36166d626554adbecbc5bc0f1f4791354e03 '!=' x2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d ']'
+++ echo -ne binutils
++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
+ '[' 1 = 0 ']'
+ '[' 1 = 1 ']'
-+ changed_single_component=linux
-++ get_current_git linux_rev
++ changed_single_component=binutils
+++ get_current_git binutils_rev
++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat artifacts/git/linux_rev
-+ first_bad=4d835e18036eccde995e2a46aedc55f1b04a6939
-++ get_baseline_git linux_rev
+++ cat artifacts/git/binutils_rev
++ first_bad=9d4f36166d626554adbecbc5bc0f1f4791354e03
+++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat base-artifacts/git/linux_rev
-+ last_good=e0ec6546dc99183016a8d9ba3e816afb0a77a183
+++ cat base-artifacts/git/binutils_rev
++ last_good=2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d
+ local res
+ res=0
-+ wait 13361
-+ git -C linux rev-parse --verify HEAD
-+ assert_with_msg 'Cannot parse HEAD in repo linux' '[' 0 = 0 ']'
++ wait 3003
++ git -C binutils rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
-+ single_commit_p linux
++ single_commit_p binutils
+ set -euf -o pipefail
-+ local c=linux
++ local c=binutils
+ local base_rev cur_rev sha1
-++ get_baseline_git linux_rev
+++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat base-artifacts/git/linux_rev
-+ base_rev=e0ec6546dc99183016a8d9ba3e816afb0a77a183
-++ get_current_git linux_rev
+++ cat base-artifacts/git/binutils_rev
++ base_rev=2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d
+++ get_current_git binutils_rev
++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat artifacts/git/linux_rev
-+ cur_rev=4d835e18036eccde995e2a46aedc55f1b04a6939
-++ git -C linux rev-parse '4d835e18036eccde995e2a46aedc55f1b04a6939^@'
+++ cat artifacts/git/binutils_rev
++ cur_rev=9d4f36166d626554adbecbc5bc0f1f4791354e03
+++ git -C binutils rev-parse '9d4f36166d626554adbecbc5bc0f1f4791354e03^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' e0ec6546dc99183016a8d9ba3e816afb0a77a183 = e0ec6546dc99183016a8d9ba3e816afb0a77a183 ']'
-+ return 0
++ '[' c7631501b22bb607a10396621ad4b82c357ae938 = 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d ']'
++ return 1
# Debug traces :
-# change_kind=single_commit : linux
-+ change_kind=single_commit
+# change_kind=single_component : binutils
++ change_kind=single_component
+ echo '# Debug traces :'
-+ echo '# change_kind=single_commit : linux'
++ echo '# change_kind=single_component : binutils'
+ for c in "${changed_components[@]}"
-++ get_baseline_git linux_rev
+++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat base-artifacts/git/linux_rev
-+ base_rev=e0ec6546dc99183016a8d9ba3e816afb0a77a183
-++ get_current_git linux_rev
+++ cat base-artifacts/git/binutils_rev
++ base_rev=2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d
+++ get_current_git binutils_rev
++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat artifacts/git/linux_rev
-+ cur_rev=4d835e18036eccde995e2a46aedc55f1b04a6939
-++ git -C linux rev-list --count e0ec6546dc99183016a8d9ba3e816afb0a77a183..4d835e18036eccde995e2a46aedc55f1b04a6939
-# rev for linux : e0ec6546dc99183016a8d9ba3e816afb0a77a183..4d835e18036eccde995e2a46aedc55f1b04a6939 (150 commits)
+++ cat artifacts/git/binutils_rev
++ cur_rev=9d4f36166d626554adbecbc5bc0f1f4791354e03
+++ git -C binutils rev-list --count 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03
+# rev for binutils : 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03 (40 commits)
-+ c_commits=150
-+ echo '# rev for linux : e0ec6546dc99183016a8d9ba3e816afb0a77a183..4d835e18036eccde995e2a46aedc55f1b04a6939 (150 commits)'
++ c_commits=40
++ echo '# rev for binutils : 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03 (40 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -233,688 +233,21 @@
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 13438
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=14d96f0c
-++ '[' 0 -ne 0 ']'
-++ echo 14d96f0c
-+ sha1=14d96f0c
-+ git -C interesting-commits checkout --detach 14d96f0c
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 65a1d545 Add entry 4d835e18036eccde995e2a46aedc55f1b04a6939 from https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 65a1d545
-
-HEAD is now at 14d96f0c Add entry 7931a1de9ec87b996d51d3d60786f5c81f63919f from https://ci.linaro.org/job/tcwg_gcc_check--master-arm-build/805/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local dir=linux/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local dir=linux/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ subdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ '[' -d interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939 ']'
-+ mkdir interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/first_url
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939 tcwg_kernel gnu-master-arm-lts-defconfig
-++ local dir=linux/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 4 -ge 3 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel
-++ '[' 4 -ge 4 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-+ subdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-+ mkdir -p interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo e0ec6546dc99183016a8d9ba3e816afb0a77a183
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/build_url linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 4d835e18036eccde995e2a46aedc55f1b04a6939 from https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/'
-[detached HEAD be38c817] Add entry 4d835e18036eccde995e2a46aedc55f1b04a6939 from https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
- 3 files changed, 3 insertions(+)
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/first_url
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/build_url
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/last_good
-DRYRUN: git -C interesting-commits push baseline HEAD:refs/heads/master
-+ wait 23483
-+ echo DRYRUN: git -C interesting-commits push baseline HEAD:refs/heads/master
-+ break
+ '[' full '!=' full ']'
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_commit '!=' xsingle_commit ']'
-+ local isubdir
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local dir=linux/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ isubdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/first_url ']'
-+ local first_url
-++ cat interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/first_url
-+ first_url=https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ '[' https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/ = https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/ ']'
-+ first_icommit_to_report=true
++ '[' xsingle_component '!=' xsingle_commit ']'
++ return
+ post_interesting_commits full
# post_interesting_commits
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=full
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 23548
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=14d96f0c
-++ '[' 0 -ne 0 ']'
-++ echo 14d96f0c
-+ sha1=14d96f0c
-+ git -C interesting-commits checkout --detach 14d96f0c
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- be38c817 Add entry 4d835e18036eccde995e2a46aedc55f1b04a6939 from https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> be38c817
-
-HEAD is now at 14d96f0c Add entry 7931a1de9ec87b996d51d3d60786f5c81f63919f from https://ci.linaro.org/job/tcwg_gcc_check--master-arm-build/805/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local dir=linux/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira
-+ '[' full = full ']'
-+ false
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits full ''
-+ echo '# update_interesting_commits'
-+ local stage=full
-+ local jira_key=
-+ local subdir
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local dir=linux/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ subdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ '[' -d interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939 ']'
-+ mkdir interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/first_url
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939 tcwg_kernel gnu-master-arm-lts-defconfig
-++ local dir=linux/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 4 -ge 3 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel
-++ '[' 4 -ge 4 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-+ subdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-+ mkdir -p interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo e0ec6546dc99183016a8d9ba3e816afb0a77a183
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/build_url linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/last_good
-+ '[' full '!=' full ']'
-+ print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ case "$print_arg" in
-+ '[' 0 = 0 ']'
-+ echo Success
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/summary.txt
-+ local bad_artifacts_url good_artifacts_url
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/artifact/artifacts
-++ get_baseline_manifest BUILD_URL
-++ get_manifest base-artifacts/manifest.sh BUILD_URL false
-++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/46/artifact/artifacts
-+ cat
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/reproduction_instructions.txt
-+ local commit_file=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../../commit-log.txt
-+ local describe
-++ describe_sha1 linux 4d835e18036eccde995e2a46aedc55f1b04a6939 true
-++ local component=linux
-++ local sha1=4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local anything=true
-++ match=()
-++ local -a match
-++ case "$component" in
-++ git -C linux describe 4d835e18036eccde995e2a46aedc55f1b04a6939
-+ describe=v6.1.46-44742-g4d835e18036e
-+ cat
-++ git -C linux log -n1 --pretty=short 4d835e18036eccde995e2a46aedc55f1b04a6939
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../../commit-log.txt
-+ local ci_config
-+ local status=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../status.txt
-+ read ci_config
-++ cd interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/..
-++ ls
-+ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../gnu-master-arm-lts-defconfig/summary.txt ']'
-+ echo '* gnu-master-arm-lts-defconfig'
-+ cat interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../gnu-master-arm-lts-defconfig/summary.txt
-+ sed 's/^/** /'
-+ cat interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../gnu-master-arm-lts-defconfig/build_url
-+ read ci_config
-+ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../status.txt/summary.txt ']'
-+ continue
-+ read ci_config
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../status.txt
-+ local ci_project
-+ status=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../../status.txt
-+ read ci_project
-++ cd interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../..
-++ ls
-+ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../../commit-log.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../../first_url/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../../status.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../../tcwg_kernel/status.txt ']'
-+ echo '* tcwg_kernel'
-+ cat interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../../tcwg_kernel/status.txt
-+ sed 's/^/*/'
-+ read ci_project
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/../../status.txt
-+ true
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local dir=linux/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ subdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ local jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira
-+ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/key ']'
-+ '[' -e interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira ']'
-+ mkdir interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira
-+ '[' '' '!=' '' ']'
-+ echo v6.1.46-44742-g4d835e18036e
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/summary
-+ cat
-++ cat interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/commit-log.txt
-++ cat interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/status.txt
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/description
-+ update_jira_card
-# update_jira_card
-+ set -euf -o pipefail
-+ echo '# update_jira_card'
-+ local jira_dir
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local dir=linux/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira
-+ components=('CI')
-+ local -a components
-+ case "$changed_single_component" in
-+ IFS=,
-+ echo CI
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/components
-+ local commit_date
-++ git -C linux log -n1 --pretty=%cd --date=iso 4d835e18036eccde995e2a46aedc55f1b04a6939
-+ commit_date='2023-08-16 18:27:31 +0200'
-+ date -d '2023-08-16 18:27:31 +0200' +%Y-%m-%d
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/startdate
-+ local key project
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ local dir=linux/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira
-++ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/key ']'
-++ return 0
-WARNING: no existing jira card interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/key
-+ key=
-+ '[' -z '' ']'
-+ echo 'WARNING: no existing jira card interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/key'
-+ return 0
-++ describe_sha1 linux 4d835e18036eccde995e2a46aedc55f1b04a6939 false
-++ local component=linux
-++ local sha1=4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local anything=false
-++ match=()
-++ local -a match
-++ case "$component" in
-++ git -C linux describe 4d835e18036eccde995e2a46aedc55f1b04a6939
-+ describe=v6.1.46-44742-g4d835e18036e
-+ '[' v6.1.46-44742-g4d835e18036e '!=' '' ']'
-+ local d
-++ dirname v6.1.46-44742-g4d835e18036e
-+ d=.
-+ mkdir -p interesting-commits/linux/.
-+ local symlink=
-+ '[' . '!=' . ']'
-+ symlink=sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ rm -f interesting-commits/linux/v6.1.46-44742-g4d835e18036e
-+ ln -s sha1/4d835e18036eccde995e2a46aedc55f1b04a6939 interesting-commits/linux/v6.1.46-44742-g4d835e18036e
-+ git -C interesting-commits add linux/v6.1.46-44742-g4d835e18036e
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 4d835e18036eccde995e2a46aedc55f1b04a6939 from https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/'
-[detached HEAD 2ed1d03b] Add entry 4d835e18036eccde995e2a46aedc55f1b04a6939 from https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
- 13 files changed, 47 insertions(+)
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/commit-log.txt
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/first_url
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/components
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/description
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/startdate
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/summary
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/status.txt
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/build_url
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/last_good
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/reproduction_instructions.txt
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/summary.txt
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/status.txt
- create mode 120000 linux/v6.1.46-44742-g4d835e18036e
-DRYRUN: git -C interesting-commits push baseline HEAD:refs/heads/master
-+ wait 1365
-+ echo DRYRUN: git -C interesting-commits push baseline HEAD:refs/heads/master
-+ break
++ '[' single_component '!=' single_commit ']'
++ return
# print all notification files
+ echo '# print all notification files'
+ print_mail_recipients
@@ -927,30 +260,18 @@ DRYRUN: git -C interesting-commits push baseline HEAD:refs/heads/master
++ print_last_icommit --entry
++ false
++ local print_arg=--entry
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ local dir=linux/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ isubdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ case "$print_arg" in
-++ echo interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ icommit_entry=interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ '[' interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939 '!=' '' ']'
-+ '[' -d interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira ']'
-+ rsync -a interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/ artifacts/notify/jira/
-+ '[' -f artifacts/notify/jira/key ']'
+++ '[' xsingle_component '!=' xsingle_commit ']'
+++ return
++ icommit_entry=
++ '[' '' '!=' '' ']'
++ mkdir -p artifacts/notify/jira
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
++ local jira_card=GNU-692
++ case "$ci_project/$ci_config:$changed_single_component" in
-++ jira_card=GNU-681
-++ echo GNU-681
+++ jira_card=GNU-680
+++ echo GNU-680
++ print_result --oneline
++ false
++ local print_arg=--oneline
@@ -972,11 +293,11 @@ DRYRUN: git -C interesting-commits push baseline HEAD:refs/heads/master
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/50/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/46/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/artifact/artifacts
+ cat
++ print_result --oneline
++ false
@@ -989,31 +310,63 @@ DRYRUN: git -C interesting-commits push baseline HEAD:refs/heads/master
++ local print_arg=--oneline
++ local components new_commits more_lines
++ case "$change_kind:$print_arg" in
-+++ describe_sha1 linux 4d835e18036eccde995e2a46aedc55f1b04a6939 true
-+++ local component=linux
-+++ local sha1=4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C linux describe 4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ git -C linux show --no-patch --pretty=%s 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ echo 'v6.1.46-44742-g4d835e18036e Merge v6.1.46'
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git binutils_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ base_rev=2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ cur_rev=9d4f36166d626554adbecbc5bc0f1f4791354e03
++++ git -C binutils rev-list --count 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03
+++ c_commits=40
+++ new_commits=40
++++ echo binutils
++++ tr ' ' ,
+++ components=binutils
+++ echo '40 commits in binutils'
++ print_commits --short
++ sed -e 's/^/ | /'
++ false
++ local print_arg=--short
++ local components new_commits more_lines
++ case "$change_kind:$print_arg" in
-+++ mktemp
-++ tmpfile=/tmp/tmp.77Yy7ZLnLT
-++ git -C linux show --no-patch 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ head -n 10 /tmp/tmp.77Yy7ZLnLT
-+++ cat /tmp/tmp.77Yy7ZLnLT
-+++ wc -l
-++ more_lines=-2
-++ '[' -2 -gt 0 ']'
-++ rm /tmp/tmp.77Yy7ZLnLT
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git binutils_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ base_rev=2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ cur_rev=9d4f36166d626554adbecbc5bc0f1f4791354e03
++++ git -C binutils rev-list --count 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03
+++ c_commits=40
+++ new_commits=40
+++ echo 'binutils commits:'
++++ git -C binutils log --pretty=oneline 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03
++++ head -n5
++++ true
+++ echo '9d4f36166d626554adbecbc5bc0f1f4791354e03 sim regen
+c7631501b22bb607a10396621ad4b82c357ae938 sim regen preparation
+e7ad52cde6c8bb7e592ce60cdfe508cd00c3db11 sim --enable-cgen-maint
+0e1b3420fbb2a3022a1ceac49ce37af3e59d0856 sim prune_warnings
+b92b89993c8e30bed6665b63c0308034932298c2 Automatic date update in version.in'
+++ '[' 40 -gt 5 ']'
+++ echo '... and 35 more'
++ print_result --short
++ false
++ local print_arg=--short
@@ -1053,78 +406,8 @@ all
boot'
++ print_config
++ :
-+ '[' xsingle_commit '!=' xsingle_commit ']'
-+ local key
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ local dir=linux/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira
-++ '[' -f interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-++ print_jira_template_card
-++ local jira_card=GNU-692
-++ case "$ci_project/$ci_config:$changed_single_component" in
-++ jira_card=GNU-681
-++ echo GNU-681
-+ key=GNU-681
-+ cat
-++ print_last_icommit --reproduction_instructions_link
-++ false
-++ local print_arg=--reproduction_instructions_link
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ local dir=linux/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ isubdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ case "$print_arg" in
-++ echo https://git.linaro.org/toolchain/ci/interesting-commits.git/plain/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/reproduction_instructions.txt
-++ print_commits --link
-++ false
-++ local print_arg=--link
-++ local components new_commits more_lines
-++ case "$change_kind:$print_arg" in
-+++ get_baseline_git linux_url
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No linux_url in baseline git' '[' -f base-artifacts/git/linux_url ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/linux_url
-++ url=https://git.linaro.org/kernel-org/linux-stable.git
-++ [[ https://git.linaro.org/kernel-org/linux-stable.git =~ git://sourceware.org/git/ ]]
-++ [[ https://git.linaro.org/kernel-org/linux-stable.git =~ https://github.com/ ]]
-++ [[ https://git.linaro.org/kernel-org/linux-stable.git =~ https://gitlab.com/ ]]
-++ [[ https://git.linaro.org/kernel-org/linux-stable.git =~ https://git.linaro.org/ ]]
-++ echo 'https://git.linaro.org/kernel-org/linux-stable.git/commit/?id=4d835e18036eccde995e2a46aedc55f1b04a6939'
-++ print_last_icommit --status
-++ false
-++ local print_arg=--status
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ local dir=linux/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ isubdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ case "$print_arg" in
-++ cat interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/status.txt
++ '[' xsingle_component '!=' xsingle_commit ']'
++ return
+ print_mail_subject
+ true
++ print_result --oneline
@@ -1138,36 +421,48 @@ boot'
++ local print_arg=--oneline
++ local components new_commits more_lines
++ case "$change_kind:$print_arg" in
-+++ describe_sha1 linux 4d835e18036eccde995e2a46aedc55f1b04a6939 true
-+++ local component=linux
-+++ local sha1=4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C linux describe 4d835e18036eccde995e2a46aedc55f1b04a6939
-+++ git -C linux show --no-patch --pretty=%s 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ echo 'v6.1.46-44742-g4d835e18036e Merge v6.1.46'
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git binutils_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ base_rev=2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ cur_rev=9d4f36166d626554adbecbc5bc0f1f4791354e03
++++ git -C binutils rev-list --count 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03
+++ c_commits=40
+++ new_commits=40
++++ echo binutils
++++ tr ' ' ,
+++ components=binutils
+++ echo '40 commits in binutils'
# generate dashboard
# generate_dashboard_squad
-+ echo '[Linaro-TCWG-CI] Success after linux commit: v6.1.46-44742-g4d835e18036e Merge v6.1.46'
+... Skipping
+# post_dashboard_squad
+... Skipping
+# post_to_jira
+Full stage ran successfully.
++ echo '[Linaro-TCWG-CI] Success after binutils commit: 40 commits in binutils'
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
+ echo '# generate_dashboard_squad'
+ false
+ echo '... Skipping'
-... Skipping
-# post_dashboard_squad
-... Skipping
+ return
+ post_dashboard_squad
+ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
-# post_to_jira
-Full stage ran successfully.
+ false
+ post_to_jira
+ echo '# post_to_jira'
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index ec466f4..29160ae 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true
++ remote_exec build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true
+ set -euf -o pipefail
+ local host
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -d: -f 1
+ host=build-05.tcwglab
+ local port
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 3
+ dir=/home/tcwg-buildslave/workspace/tcwg_kernel_1
+ local opts
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 4
-+ opts=-p51502
++ opts=-p51503
+ local env_vars
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -53,7 +53,7 @@
+ cmd+=("$(printf '%q' "$i")")
++ printf %q true
++ printf %q /home/tcwg-buildslave/workspace/tcwg_kernel_1
-+ ssh -p51502 build-05.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_kernel_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true'
++ ssh -p51503 build-05.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_kernel_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true'
/home/tcwg-buildslave/workspace/tcwg_kernel_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true
@@ -81,17 +81,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/46/
+# Baseline : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/46/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
+# Artifacts : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/50/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/50/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -113,100 +113,100 @@
+++ set -euf -o pipefail
+++ local c delim=
+++ for c in ${rr[components]}
-+++ '[' xbaseline '!=' xbaseline ']'
++++ '[' xgit://sourceware.org/git/binutils-gdb.git#master '!=' xbaseline ']'
++++ echo -ne binutils
++++ delim=' '
+++ for c in ${rr[components]}
+++ '[' xbaseline '!=' xbaseline ']'
+++ for c in ${rr[components]}
-+++ '[' xhttps://git.linaro.org/kernel-org/linux-stable.git#linux-rolling-lts '!=' xbaseline ']'
-+++ echo -ne linux
-+++ delim=' '
++++ '[' xbaseline '!=' xbaseline ']'
+++ for c in ${rr[components]}
+++ '[' xbaseline '!=' xbaseline ']'
+++ echo
++ for c in $(print_updated_components)
-+++ get_current_git linux_rev
++++ get_current_git binutils_rev
+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
-+++ cat artifacts/git/linux_rev
-+++ get_baseline_git linux_rev
++++ cat artifacts/git/binutils_rev
++++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/linux_rev
-++ '[' x4d835e18036eccde995e2a46aedc55f1b04a6939 '!=' xe0ec6546dc99183016a8d9ba3e816afb0a77a183 ']'
-++ echo -ne linux
++++ cat base-artifacts/git/binutils_rev
+++ '[' x9d4f36166d626554adbecbc5bc0f1f4791354e03 '!=' x2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d ']'
+++ echo -ne binutils
++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
+ '[' 1 = 0 ']'
+ '[' 1 = 1 ']'
-+ changed_single_component=linux
-++ get_current_git linux_rev
++ changed_single_component=binutils
+++ get_current_git binutils_rev
++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat artifacts/git/linux_rev
-+ first_bad=4d835e18036eccde995e2a46aedc55f1b04a6939
-++ get_baseline_git linux_rev
+++ cat artifacts/git/binutils_rev
++ first_bad=9d4f36166d626554adbecbc5bc0f1f4791354e03
+++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat base-artifacts/git/linux_rev
-+ last_good=e0ec6546dc99183016a8d9ba3e816afb0a77a183
+++ cat base-artifacts/git/binutils_rev
++ last_good=2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d
+ local res
+ res=0
-+ wait 3156
-+ git -C linux rev-parse --verify HEAD
-+ assert_with_msg 'Cannot parse HEAD in repo linux' '[' 0 = 0 ']'
++ wait 2892
++ git -C binutils rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
-+ single_commit_p linux
++ single_commit_p binutils
+ set -euf -o pipefail
-+ local c=linux
++ local c=binutils
+ local base_rev cur_rev sha1
-++ get_baseline_git linux_rev
+++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat base-artifacts/git/linux_rev
-+ base_rev=e0ec6546dc99183016a8d9ba3e816afb0a77a183
-++ get_current_git linux_rev
+++ cat base-artifacts/git/binutils_rev
++ base_rev=2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d
+++ get_current_git binutils_rev
++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat artifacts/git/linux_rev
-+ cur_rev=4d835e18036eccde995e2a46aedc55f1b04a6939
-++ git -C linux rev-parse '4d835e18036eccde995e2a46aedc55f1b04a6939^@'
-# Debug traces :
-# change_kind=single_commit : linux
+++ cat artifacts/git/binutils_rev
++ cur_rev=9d4f36166d626554adbecbc5bc0f1f4791354e03
+++ git -C binutils rev-parse '9d4f36166d626554adbecbc5bc0f1f4791354e03^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' e0ec6546dc99183016a8d9ba3e816afb0a77a183 = e0ec6546dc99183016a8d9ba3e816afb0a77a183 ']'
-+ return 0
-+ change_kind=single_commit
++ '[' c7631501b22bb607a10396621ad4b82c357ae938 = 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d ']'
++ return 1
+# Debug traces :
+# change_kind=single_component : binutils
++ change_kind=single_component
+ echo '# Debug traces :'
-+ echo '# change_kind=single_commit : linux'
++ echo '# change_kind=single_component : binutils'
+ for c in "${changed_components[@]}"
-++ get_baseline_git linux_rev
+++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat base-artifacts/git/linux_rev
-+ base_rev=e0ec6546dc99183016a8d9ba3e816afb0a77a183
-++ get_current_git linux_rev
+++ cat base-artifacts/git/binutils_rev
++ base_rev=2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d
+++ get_current_git binutils_rev
++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
-++ cat artifacts/git/linux_rev
-+ cur_rev=4d835e18036eccde995e2a46aedc55f1b04a6939
-++ git -C linux rev-list --count e0ec6546dc99183016a8d9ba3e816afb0a77a183..4d835e18036eccde995e2a46aedc55f1b04a6939
-# rev for linux : e0ec6546dc99183016a8d9ba3e816afb0a77a183..4d835e18036eccde995e2a46aedc55f1b04a6939 (150 commits)
+++ cat artifacts/git/binutils_rev
++ cur_rev=9d4f36166d626554adbecbc5bc0f1f4791354e03
+++ git -C binutils rev-list --count 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03
+# rev for binutils : 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03 (40 commits)
-+ c_commits=150
-+ echo '# rev for linux : e0ec6546dc99183016a8d9ba3e816afb0a77a183..4d835e18036eccde995e2a46aedc55f1b04a6939 (150 commits)'
++ c_commits=40
++ echo '# rev for binutils : 2a3f442df9e9a71f9e3c4c5999a2c53bf93e488d..9d4f36166d626554adbecbc5bc0f1f4791354e03 (40 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -233,266 +233,8 @@
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 3233
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=14d96f0c
-++ '[' 0 -ne 0 ']'
-++ echo 14d96f0c
-+ sha1=14d96f0c
-+ git -C interesting-commits checkout --detach 14d96f0c
-Previous HEAD position was 06165003 Add entry e1f45bea2741c271efbc4c2f9dfad93cbcd644c0 from https://ci.linaro.org/job/tcwg_gcc_check--master-aarch64-build/834/
-HEAD is now at 14d96f0c Add entry 7931a1de9ec87b996d51d3d60786f5c81f63919f from https://ci.linaro.org/job/tcwg_gcc_check--master-arm-build/805/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local dir=linux/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ jira_dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
- * [new branch] empty -> baseline/empty
- * [new branch] linaro-local/ci/tcwg_bmk_gnu_apm -> baseline/linaro-local/ci/tcwg_bmk_gnu_apm
- * [new branch] linaro-local/ci/tcwg_bmk_gnu_eabi_stm32 -> baseline/linaro-local/ci/tcwg_bmk_gnu_eabi_stm32
- * [new branch] linaro-local/ci/tcwg_bmk_gnu_sq -> baseline/linaro-local/ci/tcwg_bmk_gnu_sq
- * [new branch] linaro-local/ci/tcwg_bmk_gnu_tk1 -> baseline/linaro-local/ci/tcwg_bmk_gnu_tk1
- * [new branch] linaro-local/ci/tcwg_bmk_gnu_tx1 -> baseline/linaro-local/ci/tcwg_bmk_gnu_tx1
- * [new branch] linaro-local/ci/tcwg_bmk_llvm_apm -> baseline/linaro-local/ci/tcwg_bmk_llvm_apm
- * [new branch] linaro-local/ci/tcwg_bmk_llvm_tk1 -> baseline/linaro-local/ci/tcwg_bmk_llvm_tk1
- * [new branch] linaro-local/ci/tcwg_bmk_llvm_tx1 -> baseline/linaro-local/ci/tcwg_bmk_llvm_tx1
- * [new branch] linaro-local/ci/tcwg_gcc_bootstrap -> baseline/linaro-local/ci/tcwg_gcc_bootstrap
- * [new branch] linaro-local/ci/tcwg_gcc_check -> baseline/linaro-local/ci/tcwg_gcc_check
- * [new branch] linaro-local/ci/tcwg_gcc_check_bootstrap -> baseline/linaro-local/ci/tcwg_gcc_check_bootstrap
- * [new branch] linaro-local/ci/tcwg_gnu_cross_build -> baseline/linaro-local/ci/tcwg_gnu_cross_build
- * [new branch] linaro-local/ci/tcwg_gnu_cross_check_gcc -> baseline/linaro-local/ci/tcwg_gnu_cross_check_gcc
- * [new branch] linaro-local/ci/tcwg_gnu_native_build -> baseline/linaro-local/ci/tcwg_gnu_native_build
- * [new branch] linaro-local/ci/tcwg_gnu_native_check_binutils -> baseline/linaro-local/ci/tcwg_gnu_native_check_binutils
- * [new branch] linaro-local/ci/tcwg_gnu_native_check_gcc -> baseline/linaro-local/ci/tcwg_gnu_native_check_gcc
- * [new branch] linaro-local/ci/tcwg_gnu_native_check_gdb -> baseline/linaro-local/ci/tcwg_gnu_native_check_gdb
- * [new branch] linaro-local/ci/tcwg_kernel -> baseline/linaro-local/ci/tcwg_kernel
- * [new branch] linaro-local/test -> baseline/linaro-local/test
- * [new branch] main -> baseline/main
- * [new branch] master -> baseline/master
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939
-++ local dir=linux/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ subdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ '[' -d interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939 ']'
-+ mkdir interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/first_url
-++ interesting_subdir linux 4d835e18036eccde995e2a46aedc55f1b04a6939 tcwg_kernel gnu-master-arm-lts-defconfig
-++ local dir=linux/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939
-++ '[' 4 -ge 3 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel
-++ '[' 4 -ge 4 ']'
-++ dir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-++ echo linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-+ subdir=linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-+ mkdir -p interesting-commits/linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo e0ec6546dc99183016a8d9ba3e816afb0a77a183
-+ git -C interesting-commits add linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/build_url linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 4d835e18036eccde995e2a46aedc55f1b04a6939 from https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/'
-[detached HEAD 65a1d545] Add entry 4d835e18036eccde995e2a46aedc55f1b04a6939 from https://ci.linaro.org/job/tcwg_kernel--gnu-master-arm-lts-defconfig-build/49/
- 3 files changed, 3 insertions(+)
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/first_url
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/build_url
- create mode 100644 linux/sha1/4d835e18036eccde995e2a46aedc55f1b04a6939/tcwg_kernel/gnu-master-arm-lts-defconfig/last_good
-DRYRUN: git -C interesting-commits push baseline HEAD:refs/heads/master
-+ wait 13273
-+ echo DRYRUN: git -C interesting-commits push baseline HEAD:refs/heads/master
-+ break
Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index 006cd54..3657abb 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_kernel-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_kernel-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -d: -f 1
+ host=build-05.tcwglab
+ local port
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 3
+ dir=/home/tcwg-buildslave/workspace/tcwg_kernel_1
+ local opts
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 4
-+ opts=-p51502
++ opts=-p51503
+ local env_vars
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51502:
+++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_kernel_1:-p51503:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -59,9 +59,4 @@
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
++ printf %q /home/tcwg-buildslave/workspace/tcwg_kernel_1
-+ ssh -p51502 build-05.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_kernel_1 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_kernel-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
-+ declare -g rewrite_base_artifacts_first=true
-+ true
-+ update_baseline
-+ set -euf -o pipefail
-+ rsync -aI --del --exclude /.git artifacts/ base-artifacts/
++ ssh -p51503 build-05.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_kernel_1 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_kernel-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index f89abc2..517cf84 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,9 +1,9 @@
-build_name="#49"
+build_name="#50"
docker_opts=(--distro
default )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#49-linux"
-branch_opt=(==rr\[linux_git\]
-https://git.linaro.org/kernel-org/linux-stable.git#linux-rolling-lts )
-build_name="#49-linux-Rboot"
+build_name="#50-binutils"
+branch_opt=(==rr\[binutils_git\]
+git://sourceware.org/git/binutils-gdb.git#master )
+build_name="#50-binutils-Rboot"